{
  "openapi": "3.2.0",
  "info": {
    "title": "Competitive Analysis",
    "description": "Fetch data from Competitive Analysis reports",
    "termsOfService": "https://ahrefs.com/terms",
    "contact": {
      "name": "Ahrefs",
      "url": "https://ahrefs.com/",
      "email": "support@ahrefs.com"
    },
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api.ahrefs.com/v3/competitive-analysis",
      "description": "Ahrefs Competitive Analysis"
    }
  ],
  "paths": {
    "/content-gap": {
      "post": {
        "tags": [ "Content gap", "MCP", "Enterprise only" ],
        "summary": "Content gap",
        "description": "Compare organic and paid keyword rankings for a target and its competitors. Use `where` to find keyword gaps.",
        "operationId": "content-gap",
        "parameters": [],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "select": {
                    "items": { "type": "string" },
                    "type": "array",
                    "description": "A list of columns to return. See response schema for valid column identifiers.",
                    "examples": [ [ "field_a", "field_b" ] ]
                  },
                  "where": {
                    "type": "object",
                    "description": "The filter expression. The following column identifiers are recognized (this differs from the identifiers recognized by the `select` parameter).\n\n**competitor_1.paid_position**: The best paid ranking position for competitor 1.  \ntype: integer nullable\n\n**competitor_1.paid_position_kind**: The kind of the best paid position for competitor 1.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_1.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 1.  \ntype: integer nullable\n\n**competitor_1.paid_url**: The best-ranking paid URL for competitor 1.  \ntype: url nullable\n\n**competitor_1.position**: The best organic ranking position for competitor 1.  \ntype: integer nullable\n\n**competitor_1.position_kind**: The kind of the best organic position for competitor 1.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_1.traffic** (10 units): The estimated organic traffic from the keyword for competitor 1.  \ntype: integer nullable\n\n**competitor_1.url**: The best-ranking organic URL for competitor 1.  \ntype: url nullable\n\n**competitor_2.paid_position**: The best paid ranking position for competitor 2.  \ntype: integer nullable\n\n**competitor_2.paid_position_kind**: The kind of the best paid position for competitor 2.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_2.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 2.  \ntype: integer nullable\n\n**competitor_2.paid_url**: The best-ranking paid URL for competitor 2.  \ntype: url nullable\n\n**competitor_2.position**: The best organic ranking position for competitor 2.  \ntype: integer nullable\n\n**competitor_2.position_kind**: The kind of the best organic position for competitor 2.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_2.traffic** (10 units): The estimated organic traffic from the keyword for competitor 2.  \ntype: integer nullable\n\n**competitor_2.url**: The best-ranking organic URL for competitor 2.  \ntype: url nullable\n\n**competitor_3.paid_position**: The best paid ranking position for competitor 3.  \ntype: integer nullable\n\n**competitor_3.paid_position_kind**: The kind of the best paid position for competitor 3.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_3.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 3.  \ntype: integer nullable\n\n**competitor_3.paid_url**: The best-ranking paid URL for competitor 3.  \ntype: url nullable\n\n**competitor_3.position**: The best organic ranking position for competitor 3.  \ntype: integer nullable\n\n**competitor_3.position_kind**: The kind of the best organic position for competitor 3.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_3.traffic** (10 units): The estimated organic traffic from the keyword for competitor 3.  \ntype: integer nullable\n\n**competitor_3.url**: The best-ranking organic URL for competitor 3.  \ntype: url nullable\n\n**competitor_4.paid_position**: The best paid ranking position for competitor 4.  \ntype: integer nullable\n\n**competitor_4.paid_position_kind**: The kind of the best paid position for competitor 4.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_4.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 4.  \ntype: integer nullable\n\n**competitor_4.paid_url**: The best-ranking paid URL for competitor 4.  \ntype: url nullable\n\n**competitor_4.position**: The best organic ranking position for competitor 4.  \ntype: integer nullable\n\n**competitor_4.position_kind**: The kind of the best organic position for competitor 4.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_4.traffic** (10 units): The estimated organic traffic from the keyword for competitor 4.  \ntype: integer nullable\n\n**competitor_4.url**: The best-ranking organic URL for competitor 4.  \ntype: url nullable\n\n**competitor_5.paid_position**: The best paid ranking position for competitor 5.  \ntype: integer nullable\n\n**competitor_5.paid_position_kind**: The kind of the best paid position for competitor 5.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_5.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 5.  \ntype: integer nullable\n\n**competitor_5.paid_url**: The best-ranking paid URL for competitor 5.  \ntype: url nullable\n\n**competitor_5.position**: The best organic ranking position for competitor 5.  \ntype: integer nullable\n\n**competitor_5.position_kind**: The kind of the best organic position for competitor 5.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_5.traffic** (10 units): The estimated organic traffic from the keyword for competitor 5.  \ntype: integer nullable\n\n**competitor_5.url**: The best-ranking organic URL for competitor 5.  \ntype: url nullable\n\n**competitor_6.paid_position**: The best paid ranking position for competitor 6.  \ntype: integer nullable\n\n**competitor_6.paid_position_kind**: The kind of the best paid position for competitor 6.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_6.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 6.  \ntype: integer nullable\n\n**competitor_6.paid_url**: The best-ranking paid URL for competitor 6.  \ntype: url nullable\n\n**competitor_6.position**: The best organic ranking position for competitor 6.  \ntype: integer nullable\n\n**competitor_6.position_kind**: The kind of the best organic position for competitor 6.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_6.traffic** (10 units): The estimated organic traffic from the keyword for competitor 6.  \ntype: integer nullable\n\n**competitor_6.url**: The best-ranking organic URL for competitor 6.  \ntype: url nullable\n\n**competitor_7.paid_position**: The best paid ranking position for competitor 7.  \ntype: integer nullable\n\n**competitor_7.paid_position_kind**: The kind of the best paid position for competitor 7.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_7.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 7.  \ntype: integer nullable\n\n**competitor_7.paid_url**: The best-ranking paid URL for competitor 7.  \ntype: url nullable\n\n**competitor_7.position**: The best organic ranking position for competitor 7.  \ntype: integer nullable\n\n**competitor_7.position_kind**: The kind of the best organic position for competitor 7.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_7.traffic** (10 units): The estimated organic traffic from the keyword for competitor 7.  \ntype: integer nullable\n\n**competitor_7.url**: The best-ranking organic URL for competitor 7.  \ntype: url nullable\n\n**competitor_8.paid_position**: The best paid ranking position for competitor 8.  \ntype: integer nullable\n\n**competitor_8.paid_position_kind**: The kind of the best paid position for competitor 8.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_8.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 8.  \ntype: integer nullable\n\n**competitor_8.paid_url**: The best-ranking paid URL for competitor 8.  \ntype: url nullable\n\n**competitor_8.position**: The best organic ranking position for competitor 8.  \ntype: integer nullable\n\n**competitor_8.position_kind**: The kind of the best organic position for competitor 8.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_8.traffic** (10 units): The estimated organic traffic from the keyword for competitor 8.  \ntype: integer nullable\n\n**competitor_8.url**: The best-ranking organic URL for competitor 8.  \ntype: url nullable\n\n**competitor_9.paid_position**: The best paid ranking position for competitor 9.  \ntype: integer nullable\n\n**competitor_9.paid_position_kind**: The kind of the best paid position for competitor 9.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_9.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 9.  \ntype: integer nullable\n\n**competitor_9.paid_url**: The best-ranking paid URL for competitor 9.  \ntype: url nullable\n\n**competitor_9.position**: The best organic ranking position for competitor 9.  \ntype: integer nullable\n\n**competitor_9.position_kind**: The kind of the best organic position for competitor 9.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_9.traffic** (10 units): The estimated organic traffic from the keyword for competitor 9.  \ntype: integer nullable\n\n**competitor_9.url**: The best-ranking organic URL for competitor 9.  \ntype: url nullable\n\n**competitor_10.paid_position**: The best paid ranking position for competitor 10.  \ntype: integer nullable\n\n**competitor_10.paid_position_kind**: The kind of the best paid position for competitor 10.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_10.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 10.  \ntype: integer nullable\n\n**competitor_10.paid_url**: The best-ranking paid URL for competitor 10.  \ntype: url nullable\n\n**competitor_10.position**: The best organic ranking position for competitor 10.  \ntype: integer nullable\n\n**competitor_10.position_kind**: The kind of the best organic position for competitor 10.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_10.traffic** (10 units): The estimated organic traffic from the keyword for competitor 10.  \ntype: integer nullable\n\n**competitor_10.url**: The best-ranking organic URL for competitor 10.  \ntype: url nullable\n\n**competitor_11.paid_position**: The best paid ranking position for competitor 11.  \ntype: integer nullable\n\n**competitor_11.paid_position_kind**: The kind of the best paid position for competitor 11.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_11.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 11.  \ntype: integer nullable\n\n**competitor_11.paid_url**: The best-ranking paid URL for competitor 11.  \ntype: url nullable\n\n**competitor_11.position**: The best organic ranking position for competitor 11.  \ntype: integer nullable\n\n**competitor_11.position_kind**: The kind of the best organic position for competitor 11.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_11.traffic** (10 units): The estimated organic traffic from the keyword for competitor 11.  \ntype: integer nullable\n\n**competitor_11.url**: The best-ranking organic URL for competitor 11.  \ntype: url nullable\n\n**competitor_12.paid_position**: The best paid ranking position for competitor 12.  \ntype: integer nullable\n\n**competitor_12.paid_position_kind**: The kind of the best paid position for competitor 12.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_12.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 12.  \ntype: integer nullable\n\n**competitor_12.paid_url**: The best-ranking paid URL for competitor 12.  \ntype: url nullable\n\n**competitor_12.position**: The best organic ranking position for competitor 12.  \ntype: integer nullable\n\n**competitor_12.position_kind**: The kind of the best organic position for competitor 12.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_12.traffic** (10 units): The estimated organic traffic from the keyword for competitor 12.  \ntype: integer nullable\n\n**competitor_12.url**: The best-ranking organic URL for competitor 12.  \ntype: url nullable\n\n**competitor_13.paid_position**: The best paid ranking position for competitor 13.  \ntype: integer nullable\n\n**competitor_13.paid_position_kind**: The kind of the best paid position for competitor 13.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_13.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 13.  \ntype: integer nullable\n\n**competitor_13.paid_url**: The best-ranking paid URL for competitor 13.  \ntype: url nullable\n\n**competitor_13.position**: The best organic ranking position for competitor 13.  \ntype: integer nullable\n\n**competitor_13.position_kind**: The kind of the best organic position for competitor 13.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_13.traffic** (10 units): The estimated organic traffic from the keyword for competitor 13.  \ntype: integer nullable\n\n**competitor_13.url**: The best-ranking organic URL for competitor 13.  \ntype: url nullable\n\n**competitor_14.paid_position**: The best paid ranking position for competitor 14.  \ntype: integer nullable\n\n**competitor_14.paid_position_kind**: The kind of the best paid position for competitor 14.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_14.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 14.  \ntype: integer nullable\n\n**competitor_14.paid_url**: The best-ranking paid URL for competitor 14.  \ntype: url nullable\n\n**competitor_14.position**: The best organic ranking position for competitor 14.  \ntype: integer nullable\n\n**competitor_14.position_kind**: The kind of the best organic position for competitor 14.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_14.traffic** (10 units): The estimated organic traffic from the keyword for competitor 14.  \ntype: integer nullable\n\n**competitor_14.url**: The best-ranking organic URL for competitor 14.  \ntype: url nullable\n\n**competitor_15.paid_position**: The best paid ranking position for competitor 15.  \ntype: integer nullable\n\n**competitor_15.paid_position_kind**: The kind of the best paid position for competitor 15.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_15.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 15.  \ntype: integer nullable\n\n**competitor_15.paid_url**: The best-ranking paid URL for competitor 15.  \ntype: url nullable\n\n**competitor_15.position**: The best organic ranking position for competitor 15.  \ntype: integer nullable\n\n**competitor_15.position_kind**: The kind of the best organic position for competitor 15.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_15.traffic** (10 units): The estimated organic traffic from the keyword for competitor 15.  \ntype: integer nullable\n\n**competitor_15.url**: The best-ranking organic URL for competitor 15.  \ntype: url nullable\n\n**competitor_16.paid_position**: The best paid ranking position for competitor 16.  \ntype: integer nullable\n\n**competitor_16.paid_position_kind**: The kind of the best paid position for competitor 16.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_16.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 16.  \ntype: integer nullable\n\n**competitor_16.paid_url**: The best-ranking paid URL for competitor 16.  \ntype: url nullable\n\n**competitor_16.position**: The best organic ranking position for competitor 16.  \ntype: integer nullable\n\n**competitor_16.position_kind**: The kind of the best organic position for competitor 16.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_16.traffic** (10 units): The estimated organic traffic from the keyword for competitor 16.  \ntype: integer nullable\n\n**competitor_16.url**: The best-ranking organic URL for competitor 16.  \ntype: url nullable\n\n**competitor_17.paid_position**: The best paid ranking position for competitor 17.  \ntype: integer nullable\n\n**competitor_17.paid_position_kind**: The kind of the best paid position for competitor 17.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_17.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 17.  \ntype: integer nullable\n\n**competitor_17.paid_url**: The best-ranking paid URL for competitor 17.  \ntype: url nullable\n\n**competitor_17.position**: The best organic ranking position for competitor 17.  \ntype: integer nullable\n\n**competitor_17.position_kind**: The kind of the best organic position for competitor 17.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_17.traffic** (10 units): The estimated organic traffic from the keyword for competitor 17.  \ntype: integer nullable\n\n**competitor_17.url**: The best-ranking organic URL for competitor 17.  \ntype: url nullable\n\n**competitor_18.paid_position**: The best paid ranking position for competitor 18.  \ntype: integer nullable\n\n**competitor_18.paid_position_kind**: The kind of the best paid position for competitor 18.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_18.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 18.  \ntype: integer nullable\n\n**competitor_18.paid_url**: The best-ranking paid URL for competitor 18.  \ntype: url nullable\n\n**competitor_18.position**: The best organic ranking position for competitor 18.  \ntype: integer nullable\n\n**competitor_18.position_kind**: The kind of the best organic position for competitor 18.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_18.traffic** (10 units): The estimated organic traffic from the keyword for competitor 18.  \ntype: integer nullable\n\n**competitor_18.url**: The best-ranking organic URL for competitor 18.  \ntype: url nullable\n\n**competitor_19.paid_position**: The best paid ranking position for competitor 19.  \ntype: integer nullable\n\n**competitor_19.paid_position_kind**: The kind of the best paid position for competitor 19.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_19.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 19.  \ntype: integer nullable\n\n**competitor_19.paid_url**: The best-ranking paid URL for competitor 19.  \ntype: url nullable\n\n**competitor_19.position**: The best organic ranking position for competitor 19.  \ntype: integer nullable\n\n**competitor_19.position_kind**: The kind of the best organic position for competitor 19.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_19.traffic** (10 units): The estimated organic traffic from the keyword for competitor 19.  \ntype: integer nullable\n\n**competitor_19.url**: The best-ranking organic URL for competitor 19.  \ntype: url nullable\n\n**competitor_20.paid_position**: The best paid ranking position for competitor 20.  \ntype: integer nullable\n\n**competitor_20.paid_position_kind**: The kind of the best paid position for competitor 20.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_20.paid_traffic** (10 units): The estimated paid traffic from the keyword for competitor 20.  \ntype: integer nullable\n\n**competitor_20.paid_url**: The best-ranking paid URL for competitor 20.  \ntype: url nullable\n\n**competitor_20.position**: The best organic ranking position for competitor 20.  \ntype: integer nullable\n\n**competitor_20.position_kind**: The kind of the best organic position for competitor 20.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**competitor_20.traffic** (10 units): The estimated organic traffic from the keyword for competitor 20.  \ntype: integer nullable\n\n**competitor_20.url**: The best-ranking organic URL for competitor 20.  \ntype: url nullable\n\n**competitors_count**: The number of competitors with an organic ranking for the keyword.  \ntype: integer\n\n**competitors_count_in_range**: The number of competitors with an organic ranking within competitor_position_from and competitor_position_to.  \ntype: integer\n\n**competitors_paid_bottom_count**: The number of competitors appearing in bottom ads.  \ntype: integer\n\n**competitors_paid_count**: The number of competitors appearing in top or bottom ads.  \ntype: integer\n\n**competitors_paid_top_count**: The number of competitors appearing in top ads.  \ntype: integer\n\n**cpc**: Cost Per Click shows the average price that advertisers pay for each ad click in paid search results for a keyword, in USD cents.  \ntype: integer nullable\n\n**event_entities**: Events found in a keyword.  \ntype: array(string)\n\n**intents.branded**: User intent: branded. The user is searching for a specific brand or company name.  \ntype: boolean\n\n**intents.commercial**: User intent: commercial. The user is comparing products or services before making a purchase decision.  \ntype: boolean\n\n**intents.informational**: User intent: informational. The user is looking for information or an answer to a specific question.  \ntype: boolean\n\n**intents.local**: User intent: local. The user is looking for information relevant to a specific location or nearby services.  \ntype: boolean\n\n**intents.navigational**: User intent: navigational. The user is searching for a specific website or web page.  \ntype: boolean\n\n**intents.transactional**: User intent: transactional. The user is ready to complete an action, often a purchase.  \ntype: boolean\n\n**is_main_position**: Excludes positions in AI Overviews, Sitelinks, Top stories, Image packs, Videos, Discussions and forums, and posts on X (Twitter).  \ntype: boolean\n\n**keyword**: The keyword your target ranks for.  \ntype: string\n\n**keyword_difficulty** (10 units): An estimation of how hard it is to rank in the top 10 organic search results for a keyword on a 100-point scale.  \ntype: integer nullable\n\n**language**: The SERP language.  \ntype: string\n\n**last_update**: The date when we last checked search engine results for a keyword.  \ntype: datetime\n\n**location_entities**: Locations found in a keyword.  \ntype: array(string)\n\n**organisation_entities**: Organizations found in a keyword.  \ntype: array(string)\n\n**person_entities**: Persons found in a keyword.  \ntype: array(string)\n\n**product_entities**: Products found in a keyword.  \ntype: array(string)\n\n**serp_features**: The SERP features that appear in search results for a keyword.  \ntype: array(string)  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"` `\"image_th\"` `\"video_th\"` `\"ai_overview_found\"`\n\n**serp_features_count**: The number of SERP features that appear in search results for a keyword.  \ntype: integer\n\n**target.paid_position**: The best paid ranking position for the target.  \ntype: integer nullable\n\n**target.paid_position_kind**: The kind of the best paid position for the target.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**target.paid_traffic** (10 units): The estimated paid traffic from the keyword for the target.  \ntype: integer nullable\n\n**target.paid_url**: The best-ranking paid URL for the target.  \ntype: url nullable\n\n**target.position**: The best organic ranking position for the target.  \ntype: integer nullable\n\n**target.position_has_thumbnail**: The top position has a thumbnail.  \ntype: boolean nullable\n\n**target.position_has_video**: The top position has a video.  \ntype: boolean nullable\n\n**target.position_kind**: The kind of the best organic position for the target.  \ntype: string nullable  \nenum: `\"paid_top\"` `\"paid_bottom\"` `\"paid_right\"` `\"paid_sitelink\"` `\"organic\"` `\"sitelink\"` `\"snippet\"` `\"image\"` `\"article\"` `\"knowledge_card\"` `\"knowledge_panel\"` `\"local_pack\"` `\"local_teaser\"` `\"news\"` `\"question\"` `\"review\"` `\"shopping\"` `\"tweet\"` `\"spelling\"` `\"video\"` `\"discussion\"` `\"ai_overview\"` `\"ai_overview_sitelink\"` `\"organic_shopping\"`\n\n**target.traffic** (10 units): The estimated organic traffic from the keyword for the target.  \ntype: integer nullable\n\n**target.url**: The best-ranking organic URL for the target.  \ntype: url nullable\n\n**volume** (10 units): An estimation of the number of searches for a keyword over the latest month.  \ntype: integer nullable\n\n**words**: The number of words in a keyword.  \ntype: integer\n\n**work_entities**: Works found in a keyword.  \ntype: array(string)"
                  },
                  "order_by": {
                    "items": { "type": "string" },
                    "type": "array",
                    "description": "Columns to order results by, with optional `:asc` or `:desc` direction.\n\n- `competitor_1.paid_description`\n- `competitor_1.paid_display_url`\n- `competitor_1.paid_position`\n- `competitor_1.paid_position_kind`\n- `competitor_1.paid_title`\n- `competitor_1.paid_traffic`\n- `competitor_1.paid_url`\n- `competitor_1.position`\n- `competitor_1.position_kind`\n- `competitor_1.traffic`\n- `competitor_1.url`\n- `competitor_2.paid_description`\n- `competitor_2.paid_display_url`\n- `competitor_2.paid_position`\n- `competitor_2.paid_position_kind`\n- `competitor_2.paid_title`\n- `competitor_2.paid_traffic`\n- `competitor_2.paid_url`\n- `competitor_2.position`\n- `competitor_2.position_kind`\n- `competitor_2.traffic`\n- `competitor_2.url`\n- `competitor_3.paid_description`\n- `competitor_3.paid_display_url`\n- `competitor_3.paid_position`\n- `competitor_3.paid_position_kind`\n- `competitor_3.paid_title`\n- `competitor_3.paid_traffic`\n- `competitor_3.paid_url`\n- `competitor_3.position`\n- `competitor_3.position_kind`\n- `competitor_3.traffic`\n- `competitor_3.url`\n- `competitor_4.paid_description`\n- `competitor_4.paid_display_url`\n- `competitor_4.paid_position`\n- `competitor_4.paid_position_kind`\n- `competitor_4.paid_title`\n- `competitor_4.paid_traffic`\n- `competitor_4.paid_url`\n- `competitor_4.position`\n- `competitor_4.position_kind`\n- `competitor_4.traffic`\n- `competitor_4.url`\n- `competitor_5.paid_description`\n- `competitor_5.paid_display_url`\n- `competitor_5.paid_position`\n- `competitor_5.paid_position_kind`\n- `competitor_5.paid_title`\n- `competitor_5.paid_traffic`\n- `competitor_5.paid_url`\n- `competitor_5.position`\n- `competitor_5.position_kind`\n- `competitor_5.traffic`\n- `competitor_5.url`\n- `competitor_6.paid_description`\n- `competitor_6.paid_display_url`\n- `competitor_6.paid_position`\n- `competitor_6.paid_position_kind`\n- `competitor_6.paid_title`\n- `competitor_6.paid_traffic`\n- `competitor_6.paid_url`\n- `competitor_6.position`\n- `competitor_6.position_kind`\n- `competitor_6.traffic`\n- `competitor_6.url`\n- `competitor_7.paid_description`\n- `competitor_7.paid_display_url`\n- `competitor_7.paid_position`\n- `competitor_7.paid_position_kind`\n- `competitor_7.paid_title`\n- `competitor_7.paid_traffic`\n- `competitor_7.paid_url`\n- `competitor_7.position`\n- `competitor_7.position_kind`\n- `competitor_7.traffic`\n- `competitor_7.url`\n- `competitor_8.paid_description`\n- `competitor_8.paid_display_url`\n- `competitor_8.paid_position`\n- `competitor_8.paid_position_kind`\n- `competitor_8.paid_title`\n- `competitor_8.paid_traffic`\n- `competitor_8.paid_url`\n- `competitor_8.position`\n- `competitor_8.position_kind`\n- `competitor_8.traffic`\n- `competitor_8.url`\n- `competitor_9.paid_description`\n- `competitor_9.paid_display_url`\n- `competitor_9.paid_position`\n- `competitor_9.paid_position_kind`\n- `competitor_9.paid_title`\n- `competitor_9.paid_traffic`\n- `competitor_9.paid_url`\n- `competitor_9.position`\n- `competitor_9.position_kind`\n- `competitor_9.traffic`\n- `competitor_9.url`\n- `competitor_10.paid_description`\n- `competitor_10.paid_display_url`\n- `competitor_10.paid_position`\n- `competitor_10.paid_position_kind`\n- `competitor_10.paid_title`\n- `competitor_10.paid_traffic`\n- `competitor_10.paid_url`\n- `competitor_10.position`\n- `competitor_10.position_kind`\n- `competitor_10.traffic`\n- `competitor_10.url`\n- `competitor_11.paid_description`\n- `competitor_11.paid_display_url`\n- `competitor_11.paid_position`\n- `competitor_11.paid_position_kind`\n- `competitor_11.paid_title`\n- `competitor_11.paid_traffic`\n- `competitor_11.paid_url`\n- `competitor_11.position`\n- `competitor_11.position_kind`\n- `competitor_11.traffic`\n- `competitor_11.url`\n- `competitor_12.paid_description`\n- `competitor_12.paid_display_url`\n- `competitor_12.paid_position`\n- `competitor_12.paid_position_kind`\n- `competitor_12.paid_title`\n- `competitor_12.paid_traffic`\n- `competitor_12.paid_url`\n- `competitor_12.position`\n- `competitor_12.position_kind`\n- `competitor_12.traffic`\n- `competitor_12.url`\n- `competitor_13.paid_description`\n- `competitor_13.paid_display_url`\n- `competitor_13.paid_position`\n- `competitor_13.paid_position_kind`\n- `competitor_13.paid_title`\n- `competitor_13.paid_traffic`\n- `competitor_13.paid_url`\n- `competitor_13.position`\n- `competitor_13.position_kind`\n- `competitor_13.traffic`\n- `competitor_13.url`\n- `competitor_14.paid_description`\n- `competitor_14.paid_display_url`\n- `competitor_14.paid_position`\n- `competitor_14.paid_position_kind`\n- `competitor_14.paid_title`\n- `competitor_14.paid_traffic`\n- `competitor_14.paid_url`\n- `competitor_14.position`\n- `competitor_14.position_kind`\n- `competitor_14.traffic`\n- `competitor_14.url`\n- `competitor_15.paid_description`\n- `competitor_15.paid_display_url`\n- `competitor_15.paid_position`\n- `competitor_15.paid_position_kind`\n- `competitor_15.paid_title`\n- `competitor_15.paid_traffic`\n- `competitor_15.paid_url`\n- `competitor_15.position`\n- `competitor_15.position_kind`\n- `competitor_15.traffic`\n- `competitor_15.url`\n- `competitor_16.paid_description`\n- `competitor_16.paid_display_url`\n- `competitor_16.paid_position`\n- `competitor_16.paid_position_kind`\n- `competitor_16.paid_title`\n- `competitor_16.paid_traffic`\n- `competitor_16.paid_url`\n- `competitor_16.position`\n- `competitor_16.position_kind`\n- `competitor_16.traffic`\n- `competitor_16.url`\n- `competitor_17.paid_description`\n- `competitor_17.paid_display_url`\n- `competitor_17.paid_position`\n- `competitor_17.paid_position_kind`\n- `competitor_17.paid_title`\n- `competitor_17.paid_traffic`\n- `competitor_17.paid_url`\n- `competitor_17.position`\n- `competitor_17.position_kind`\n- `competitor_17.traffic`\n- `competitor_17.url`\n- `competitor_18.paid_description`\n- `competitor_18.paid_display_url`\n- `competitor_18.paid_position`\n- `competitor_18.paid_position_kind`\n- `competitor_18.paid_title`\n- `competitor_18.paid_traffic`\n- `competitor_18.paid_url`\n- `competitor_18.position`\n- `competitor_18.position_kind`\n- `competitor_18.traffic`\n- `competitor_18.url`\n- `competitor_19.paid_description`\n- `competitor_19.paid_display_url`\n- `competitor_19.paid_position`\n- `competitor_19.paid_position_kind`\n- `competitor_19.paid_title`\n- `competitor_19.paid_traffic`\n- `competitor_19.paid_url`\n- `competitor_19.position`\n- `competitor_19.position_kind`\n- `competitor_19.traffic`\n- `competitor_19.url`\n- `competitor_20.paid_description`\n- `competitor_20.paid_display_url`\n- `competitor_20.paid_position`\n- `competitor_20.paid_position_kind`\n- `competitor_20.paid_title`\n- `competitor_20.paid_traffic`\n- `competitor_20.paid_url`\n- `competitor_20.position`\n- `competitor_20.position_kind`\n- `competitor_20.traffic`\n- `competitor_20.url`\n- `competitors_count`\n- `competitors_count_in_range`\n- `competitors_paid_bottom_count`\n- `competitors_paid_count`\n- `competitors_paid_top_count`\n- `cpc`\n- `entities`\n- `intents.branded`\n- `intents.commercial`\n- `intents.informational`\n- `intents.local`\n- `intents.navigational`\n- `intents.transactional`\n- `keyword`\n- `keyword_difficulty`\n- `language`\n- `last_update`\n- `serp_features`\n- `serp_features_count`\n- `target.paid_description`\n- `target.paid_display_url`\n- `target.paid_position`\n- `target.paid_position_kind`\n- `target.paid_title`\n- `target.paid_traffic`\n- `target.paid_url`\n- `target.position`\n- `target.position_has_thumbnail`\n- `target.position_has_video`\n- `target.position_kind`\n- `target.traffic`\n- `target.url`\n- `volume`",
                    "examples": [
                      [ "field_a", "field_b:asc", "field_c:desc" ]
                    ]
                  },
                  "limit": {
                    "type": "integer",
                    "description": "The number of results to return.",
                    "default": 1000
                  },
                  "timeout": {
                    "type": "integer",
                    "description": "A manual timeout duration in seconds."
                  },
                  "target": {
                    "properties": {
                      "url": {
                        "type": "string",
                        "format": "url",
                        "description": "The target domain or URL."
                      },
                      "mode": {
                        "type": "string",
                        "enum": [ "exact", "prefix", "domain", "subdomains" ],
                        "description": "The scope of the target."
                      },
                      "protocol": {
                        "type": "string",
                        "enum": [ "both", "http", "https" ],
                        "description": "The target protocol."
                      }
                    },
                    "type": "object",
                    "required": [ "url", "mode", "protocol" ],
                    "description": "The target whose keyword gaps are analyzed."
                  },
                  "competitors": {
                    "items": {
                      "properties": {
                        "url": {
                          "type": "string",
                          "format": "url",
                          "description": "The target domain or URL."
                        },
                        "mode": {
                          "type": "string",
                          "enum": [
                            "exact", "prefix", "domain", "subdomains"
                          ],
                          "description": "The scope of the target."
                        },
                        "protocol": {
                          "type": "string",
                          "enum": [ "both", "http", "https" ],
                          "description": "The target protocol."
                        }
                      },
                      "type": "object",
                      "required": [ "url", "mode", "protocol" ]
                    },
                    "type": "array",
                    "maxItems": 20,
                    "minItems": 1,
                    "description": "The competitors whose rankings are compared with the target, in output column order."
                  },
                  "country": {
                    "type": "string",
                    "enum": [
                      "ad", "ae", "af", "ag", "ai", "al", "am", "ao", "ar",
                      "as", "at", "au", "aw", "az", "ba", "bb", "bd", "be",
                      "bf", "bg", "bh", "bi", "bj", "bn", "bo", "br", "bs",
                      "bt", "bw", "by", "bz", "ca", "cd", "cf", "cg", "ch",
                      "ci", "ck", "cl", "cm", "cn", "co", "cr", "cu", "cv",
                      "cy", "cz", "de", "dj", "dk", "dm", "do", "dz", "ec",
                      "ee", "eg", "es", "et", "fi", "fj", "fm", "fo", "fr",
                      "ga", "gb", "gd", "ge", "gf", "gg", "gh", "gi", "gl",
                      "gm", "gn", "gp", "gq", "gr", "gt", "gu", "gy", "hk",
                      "hn", "hr", "ht", "hu", "id", "ie", "il", "im", "in",
                      "iq", "is", "it", "je", "jm", "jo", "jp", "ke", "kg",
                      "kh", "ki", "kn", "kr", "kw", "ky", "kz", "la", "lb",
                      "lc", "li", "lk", "ls", "lt", "lu", "lv", "ly", "ma",
                      "mc", "md", "me", "mg", "mk", "ml", "mm", "mn", "mq",
                      "mr", "ms", "mt", "mu", "mv", "mw", "mx", "my", "mz",
                      "na", "nc", "ne", "ng", "ni", "nl", "no", "np", "nr",
                      "nu", "nz", "om", "pa", "pe", "pf", "pg", "ph", "pk",
                      "pl", "pn", "pr", "ps", "pt", "py", "qa", "re", "ro",
                      "rs", "ru", "rw", "sa", "sb", "sc", "se", "sg", "sh",
                      "si", "sk", "sl", "sm", "sn", "so", "sr", "st", "sv",
                      "td", "tg", "th", "tj", "tk", "tl", "tm", "tn", "to",
                      "tr", "tt", "tw", "tz", "ua", "ug", "us", "uy", "uz",
                      "vc", "ve", "vg", "vi", "vn", "vu", "ws", "ye", "yt",
                      "za", "zm", "zw"
                    ],
                    "description": "The country whose search results are analyzed."
                  },
                  "date": {
                    "type": "string",
                    "format": "date",
                    "description": "A date to report metrics on in YYYY-MM-DD format."
                  },
                  "volume_mode": {
                    "type": "string",
                    "enum": [ "monthly", "average" ],
                    "description": "The search volume calculation mode.",
                    "default": "monthly"
                  },
                  "competitor_position_from": {
                    "type": "integer",
                    "description": "The inclusive lower ranking bound used by competitors_count_in_range. Does not restrict other fields.",
                    "default": 0
                  },
                  "competitor_position_to": {
                    "type": "integer",
                    "description": "The inclusive upper ranking bound used by competitors_count_in_range. Does not restrict other fields.",
                    "default": 200
                  },
                  "output": {
                    "type": "string",
                    "enum": [ "json", "php" ],
                    "description": "The output format."
                  }
                },
                "type": "object",
                "required": [
                  "select", "target", "competitors", "country", "date"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": { "$ref": "#/components/schemas/content-gap" }
              },
              "application/xml": {
                "schema": { "$ref": "#/components/schemas/content-gap" }
              }
            }
          },
          "400": { "$ref": "#/components/responses/error_400" },
          "401": { "$ref": "#/components/responses/error_401" },
          "403": { "$ref": "#/components/responses/error_403" },
          "429": { "$ref": "#/components/responses/error_429" },
          "500": { "$ref": "#/components/responses/error_500" }
        }
      }
    },
    "/link-intersect-refdomains": {
      "post": {
        "tags": [ "Link intersect", "MCP", "Enterprise only" ],
        "summary": "Referring domains",
        "operationId": "link-intersect-refdomains",
        "parameters": [],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "select": {
                    "items": { "type": "string" },
                    "type": "array",
                    "description": "A list of columns to return. See response schema for valid column identifiers.",
                    "examples": [ [ "field_a", "field_b" ] ]
                  },
                  "where": {
                    "type": "object",
                    "description": "The filter expression. The following column identifiers are recognized (this differs from the identifiers recognized by the `select` parameter).\n\n**anchor**: The clickable words in a link that point to a URL.  \ntype: string\n\n**domain**: The referring domain.  \ntype: string\n\n**domain_rating**: The Domain Rating of the referring domain.  \ntype: float\n\n**intersect**: Number of competitors linked from this result.  \ntype: integer\n\n**is_content**: The link was found in the biggest piece of content on the page.  \ntype: boolean\n\n**is_dofollow**: The link has no special nofollow attribute.  \ntype: boolean\n\n**is_homepage_link**: The link was found on the homepage of a referring website.  \ntype: boolean\n\n**is_nofollow**: The link or the referring page has the nofollow attribute set.  \ntype: boolean\n\n**is_root_domain**: The referring domain name is a root domain name.  \ntype: boolean\n\n**is_sponsored**: The link has the Sponsored attribute set in the referring page HTML.  \ntype: boolean\n\n**is_ugc**: The link has the User Generated Content attribute set in the referring page HTML.  \ntype: boolean\n\n**languages**: The languages listed in the referring page metadata or detected by the crawler to appear in the HTML.  \ntype: array(string)\n\n**link_type**: The kind of the backlink.  \ntype: string  \nenum: `\"redirect\"` `\"frame\"` `\"text\"` `\"form\"` `\"canonical\"` `\"alternate\"` `\"rss\"` `\"image\"`\n\n**linked_domains**: The number of unique root domains linked from the referring page.  \ntype: integer\n\n**links_external**: The number of external links from the referring page.  \ntype: integer\n\n**links_to_competitor_1**: Number of links from the referring domain to competitor 1.  \ntype: integer\n\n**links_to_competitor_2**: Number of links from the referring domain to competitor 2.  \ntype: integer\n\n**links_to_competitor_3**: Number of links from the referring domain to competitor 3.  \ntype: integer\n\n**links_to_competitor_4**: Number of links from the referring domain to competitor 4.  \ntype: integer\n\n**links_to_competitor_5**: Number of links from the referring domain to competitor 5.  \ntype: integer\n\n**links_to_competitor_6**: Number of links from the referring domain to competitor 6.  \ntype: integer\n\n**links_to_competitor_7**: Number of links from the referring domain to competitor 7.  \ntype: integer\n\n**links_to_competitor_8**: Number of links from the referring domain to competitor 8.  \ntype: integer\n\n**links_to_competitor_9**: Number of links from the referring domain to competitor 9.  \ntype: integer\n\n**links_to_competitor_10**: Number of links from the referring domain to competitor 10.  \ntype: integer\n\n**links_to_competitor_11**: Number of links from the referring domain to competitor 11.  \ntype: integer\n\n**links_to_competitor_12**: Number of links from the referring domain to competitor 12.  \ntype: integer\n\n**links_to_competitor_13**: Number of links from the referring domain to competitor 13.  \ntype: integer\n\n**links_to_competitor_14**: Number of links from the referring domain to competitor 14.  \ntype: integer\n\n**links_to_competitor_15**: Number of links from the referring domain to competitor 15.  \ntype: integer\n\n**links_to_competitor_16**: Number of links from the referring domain to competitor 16.  \ntype: integer\n\n**links_to_competitor_17**: Number of links from the referring domain to competitor 17.  \ntype: integer\n\n**links_to_competitor_18**: Number of links from the referring domain to competitor 18.  \ntype: integer\n\n**links_to_competitor_19**: Number of links from the referring domain to competitor 19.  \ntype: integer\n\n**links_to_competitor_20**: Number of links from the referring domain to competitor 20.  \ntype: integer\n\n**links_to_target**: Number of links from the referring domain to the target.  \ntype: integer\n\n**page_category**: Comma-separated list of AI-predicted hierarchical category paths for the referring page. Each value is a slash-prefixed path (e.g. /Business_and_Industrial/Advertising_and_Marketing/Marketing). See [Page type and category classifications](https://docs.ahrefs.com/api/docs/page-classifications) for the taxonomy and filtering examples.  \ntype: string nullable\n\n**page_type**: Comma-separated list of AI-predicted hierarchical page type paths for the referring page. Each value is a slash-prefixed path (e.g. /Article/How_to). See [Page type and category classifications](https://docs.ahrefs.com/api/docs/page-classifications) for the taxonomy and filtering examples.  \ntype: string nullable\n\n**positions**: The number of keywords that the referring page ranks for in the top 100 positions.  \ntype: integer\n\n**powered_by**: Web technologies used to build and serve the referring page content.  \ntype: array(string)\n\n**refdomains** (5 units): The number of unique referring domains linking to the referring page.  \ntype: integer\n\n**snippet_left**: The snippet of text appearing just before the link.  \ntype: string\n\n**snippet_right**: The snippet of text appearing just after the link.  \ntype: string\n\n**source_page_author**: The author of the referring page.  \ntype: string nullable\n\n**title**: The html title of the referring page.  \ntype: string\n\n**traffic_domain** (10 units): The estimated monthly organic traffic of the referring domain.  \ntype: integer\n\n**traffic_page** (10 units): The referring page's estimated monthly organic traffic from search.  \ntype: integer\n\n**url_from**: The URL of the page containing a link to your target.  \ntype: string"
                  },
                  "order_by": {
                    "items": { "type": "string" },
                    "type": "array",
                    "description": "A list of columns to order results by, with optional direction. See response schema for valid column identifiers.",
                    "examples": [
                      [ "field_a", "field_b:asc", "field_c:desc" ]
                    ]
                  },
                  "limit": {
                    "type": "integer",
                    "description": "The number of results to return.",
                    "default": 1000
                  },
                  "timeout": {
                    "type": "integer",
                    "description": "A manual timeout duration in seconds."
                  },
                  "target": {
                    "properties": {
                      "url": {
                        "type": "string",
                        "format": "url",
                        "description": "The target domain or URL."
                      },
                      "mode": {
                        "type": "string",
                        "enum": [ "exact", "prefix", "domain", "subdomains" ],
                        "description": "The scope of the target."
                      },
                      "protocol": {
                        "type": "string",
                        "enum": [ "both", "http", "https" ],
                        "description": "The target protocol."
                      }
                    },
                    "type": "object",
                    "required": [ "url", "mode", "protocol" ],
                    "description": "The target to compare."
                  },
                  "competitors": {
                    "items": {
                      "properties": {
                        "url": {
                          "type": "string",
                          "format": "url",
                          "description": "The target domain or URL."
                        },
                        "mode": {
                          "type": "string",
                          "enum": [
                            "exact", "prefix", "domain", "subdomains"
                          ],
                          "description": "The scope of the target."
                        },
                        "protocol": {
                          "type": "string",
                          "enum": [ "both", "http", "https" ],
                          "description": "The target protocol."
                        }
                      },
                      "type": "object",
                      "required": [ "url", "mode", "protocol" ]
                    },
                    "type": "array",
                    "maxItems": 20,
                    "minItems": 1,
                    "description": "The competitors whose backlinks are compared with the target, in output column order."
                  },
                  "output": {
                    "type": "string",
                    "enum": [ "json", "csv", "xml", "php" ],
                    "description": "The output format."
                  }
                },
                "type": "object",
                "required": [ "select", "target", "competitors" ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/link-intersect-refdomains"
                }
              },
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/link-intersect-refdomains"
                }
              }
            }
          },
          "400": { "$ref": "#/components/responses/error_400" },
          "401": { "$ref": "#/components/responses/error_401" },
          "403": { "$ref": "#/components/responses/error_403" },
          "429": { "$ref": "#/components/responses/error_429" },
          "500": { "$ref": "#/components/responses/error_500" }
        }
      }
    },
    "/link-intersect-refpages": {
      "post": {
        "tags": [ "Link intersect", "MCP", "Enterprise only" ],
        "summary": "Referring pages",
        "operationId": "link-intersect-refpages",
        "parameters": [],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "properties": {
                  "select": {
                    "items": { "type": "string" },
                    "type": "array",
                    "description": "A list of columns to return. See response schema for valid column identifiers.",
                    "examples": [ [ "field_a", "field_b" ] ]
                  },
                  "where": {
                    "type": "object",
                    "description": "The filter expression. The following column identifiers are recognized (this differs from the identifiers recognized by the `select` parameter).\n\n**anchor**: The clickable words in a link that point to a URL.  \ntype: string\n\n**domain**: The referring page's root domain.  \ntype: string\n\n**domain_rating**: The Domain Rating of the referring page's domain.  \ntype: float\n\n**intersect**: Number of competitors linked from this result.  \ntype: integer\n\n**is_content**: The link was found in the biggest piece of content on the page.  \ntype: boolean\n\n**is_dofollow**: The link has no special nofollow attribute.  \ntype: boolean\n\n**is_homepage_link**: The link was found on the homepage of a referring website.  \ntype: boolean\n\n**is_nofollow**: The link or the referring page has the nofollow attribute set.  \ntype: boolean\n\n**is_root_domain**: The referring domain name is a root domain name.  \ntype: boolean\n\n**is_sponsored**: The link has the Sponsored attribute set in the referring page HTML.  \ntype: boolean\n\n**is_ugc**: The link has the User Generated Content attribute set in the referring page HTML.  \ntype: boolean\n\n**languages**: The languages listed in the referring page metadata or detected by the crawler to appear in the HTML.  \ntype: array(string)\n\n**link_type**: The kind of the backlink.  \ntype: string  \nenum: `\"redirect\"` `\"frame\"` `\"text\"` `\"form\"` `\"canonical\"` `\"alternate\"` `\"rss\"` `\"image\"`\n\n**linked_domains**: The number of unique root domains linked from the referring page.  \ntype: integer\n\n**links_external**: The number of external links from the referring page.  \ntype: integer\n\n**links_to_competitor_1**: Number of links from the referring page to competitor 1.  \ntype: integer\n\n**links_to_competitor_2**: Number of links from the referring page to competitor 2.  \ntype: integer\n\n**links_to_competitor_3**: Number of links from the referring page to competitor 3.  \ntype: integer\n\n**links_to_competitor_4**: Number of links from the referring page to competitor 4.  \ntype: integer\n\n**links_to_competitor_5**: Number of links from the referring page to competitor 5.  \ntype: integer\n\n**links_to_competitor_6**: Number of links from the referring page to competitor 6.  \ntype: integer\n\n**links_to_competitor_7**: Number of links from the referring page to competitor 7.  \ntype: integer\n\n**links_to_competitor_8**: Number of links from the referring page to competitor 8.  \ntype: integer\n\n**links_to_competitor_9**: Number of links from the referring page to competitor 9.  \ntype: integer\n\n**links_to_competitor_10**: Number of links from the referring page to competitor 10.  \ntype: integer\n\n**links_to_competitor_11**: Number of links from the referring page to competitor 11.  \ntype: integer\n\n**links_to_competitor_12**: Number of links from the referring page to competitor 12.  \ntype: integer\n\n**links_to_competitor_13**: Number of links from the referring page to competitor 13.  \ntype: integer\n\n**links_to_competitor_14**: Number of links from the referring page to competitor 14.  \ntype: integer\n\n**links_to_competitor_15**: Number of links from the referring page to competitor 15.  \ntype: integer\n\n**links_to_competitor_16**: Number of links from the referring page to competitor 16.  \ntype: integer\n\n**links_to_competitor_17**: Number of links from the referring page to competitor 17.  \ntype: integer\n\n**links_to_competitor_18**: Number of links from the referring page to competitor 18.  \ntype: integer\n\n**links_to_competitor_19**: Number of links from the referring page to competitor 19.  \ntype: integer\n\n**links_to_competitor_20**: Number of links from the referring page to competitor 20.  \ntype: integer\n\n**links_to_target**: Number of links from the referring page to the target.  \ntype: integer\n\n**page_category**: Comma-separated list of AI-predicted hierarchical category paths for the referring page. Each value is a slash-prefixed path (e.g. /Business_and_Industrial/Advertising_and_Marketing/Marketing). See [Page type and category classifications](https://docs.ahrefs.com/api/docs/page-classifications) for the taxonomy and filtering examples.  \ntype: string nullable\n\n**page_type**: Comma-separated list of AI-predicted hierarchical page type paths for the referring page. Each value is a slash-prefixed path (e.g. /Article/How_to). See [Page type and category classifications](https://docs.ahrefs.com/api/docs/page-classifications) for the taxonomy and filtering examples.  \ntype: string nullable\n\n**positions**: The number of keywords that the referring page ranks for in the top 100 positions.  \ntype: integer\n\n**powered_by**: Web technologies used to build and serve the referring page content.  \ntype: array(string)\n\n**refdomains** (5 units): The number of unique referring domains linking to the referring page.  \ntype: integer\n\n**snippet_left**: The snippet of text appearing just before the link.  \ntype: string\n\n**snippet_right**: The snippet of text appearing just after the link.  \ntype: string\n\n**source_page_author**: The author of the referring page.  \ntype: string nullable\n\n**title**: The html title of the referring page.  \ntype: string\n\n**traffic_domain** (10 units): The estimated monthly organic traffic of the referring page's domain.  \ntype: integer\n\n**traffic_page** (10 units): The referring page's estimated monthly organic traffic from search.  \ntype: integer\n\n**url_from**: The URL of the page containing a link to your target.  \ntype: string"
                  },
                  "order_by": {
                    "items": { "type": "string" },
                    "type": "array",
                    "description": "A list of columns to order results by, with optional direction. See response schema for valid column identifiers.",
                    "examples": [
                      [ "field_a", "field_b:asc", "field_c:desc" ]
                    ]
                  },
                  "limit": {
                    "type": "integer",
                    "description": "The number of results to return.",
                    "default": 1000
                  },
                  "timeout": {
                    "type": "integer",
                    "description": "A manual timeout duration in seconds."
                  },
                  "target": {
                    "properties": {
                      "url": {
                        "type": "string",
                        "format": "url",
                        "description": "The target domain or URL."
                      },
                      "mode": {
                        "type": "string",
                        "enum": [ "exact", "prefix", "domain", "subdomains" ],
                        "description": "The scope of the target."
                      },
                      "protocol": {
                        "type": "string",
                        "enum": [ "both", "http", "https" ],
                        "description": "The target protocol."
                      }
                    },
                    "type": "object",
                    "required": [ "url", "mode", "protocol" ],
                    "description": "The target to compare."
                  },
                  "competitors": {
                    "items": {
                      "properties": {
                        "url": {
                          "type": "string",
                          "format": "url",
                          "description": "The target domain or URL."
                        },
                        "mode": {
                          "type": "string",
                          "enum": [
                            "exact", "prefix", "domain", "subdomains"
                          ],
                          "description": "The scope of the target."
                        },
                        "protocol": {
                          "type": "string",
                          "enum": [ "both", "http", "https" ],
                          "description": "The target protocol."
                        }
                      },
                      "type": "object",
                      "required": [ "url", "mode", "protocol" ]
                    },
                    "type": "array",
                    "maxItems": 20,
                    "minItems": 1,
                    "description": "The competitors whose backlinks are compared with the target, in output column order."
                  },
                  "output": {
                    "type": "string",
                    "enum": [ "json", "csv", "xml", "php" ],
                    "description": "The output format."
                  }
                },
                "type": "object",
                "required": [ "select", "target", "competitors" ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/link-intersect-refpages"
                }
              },
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/link-intersect-refpages"
                }
              }
            }
          },
          "400": { "$ref": "#/components/responses/error_400" },
          "401": { "$ref": "#/components/responses/error_401" },
          "403": { "$ref": "#/components/responses/error_403" },
          "429": { "$ref": "#/components/responses/error_429" },
          "500": { "$ref": "#/components/responses/error_500" }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Error response": {
        "properties": { "error": { "type": "string" } },
        "type": "object",
        "xml": { "name": "AhrefsApiResponse" }
      },
      "content-gap": {
        "properties": {
          "keywords": {
            "items": {
              "properties": {
                "competitors_count": {
                  "type": "integer",
                  "title": "competitors_count",
                  "description": "The number of competitors with an organic ranking for the keyword."
                },
                "competitors_count_in_range": {
                  "type": "integer",
                  "title": "competitors_count_in_range",
                  "description": "The number of competitors with an organic ranking within competitor_position_from and competitor_position_to."
                },
                "competitors_paid_bottom_count": {
                  "type": "integer",
                  "title": "competitors_paid_bottom_count",
                  "description": "The number of competitors appearing in bottom ads."
                },
                "competitors_paid_count": {
                  "type": "integer",
                  "title": "competitors_paid_count",
                  "description": "The number of competitors appearing in top or bottom ads."
                },
                "competitors_paid_top_count": {
                  "type": "integer",
                  "title": "competitors_paid_top_count",
                  "description": "The number of competitors appearing in top ads."
                },
                "cpc": {
                  "type": [ "integer", "null" ],
                  "title": "cpc",
                  "description": "Cost Per Click shows the average price that advertisers pay for each ad click in paid search results for a keyword, in USD cents."
                },
                "entities": {
                  "items": { "properties": {}, "type": "object" },
                  "type": "array",
                  "title": "entities",
                  "description": "Organizations, products, persons, works, events, and locations found in a keyword."
                },
                "keyword": {
                  "type": "string",
                  "title": "keyword",
                  "description": "The keyword your target ranks for."
                },
                "keyword_difficulty": {
                  "type": [ "integer", "null" ],
                  "title": "keyword_difficulty",
                  "description": "(10 units) An estimation of how hard it is to rank in the top 10 organic search results for a keyword on a 100-point scale."
                },
                "language": {
                  "type": "string",
                  "title": "language",
                  "description": "The SERP language."
                },
                "last_update": {
                  "type": "string",
                  "format": "date-time",
                  "title": "last_update",
                  "description": "The date when we last checked search engine results for a keyword."
                },
                "serp_features": {
                  "items": {
                    "type": "string",
                    "enum": [
                      "paid_top", "paid_bottom", "paid_right",
                      "paid_sitelink", "organic", "sitelink", "snippet",
                      "image", "article", "knowledge_card",
                      "knowledge_panel", "local_pack", "local_teaser",
                      "news", "question", "review", "shopping", "tweet",
                      "spelling", "video", "discussion", "ai_overview",
                      "ai_overview_sitelink", "organic_shopping", "image_th",
                      "video_th", "ai_overview_found"
                    ]
                  },
                  "type": "array",
                  "title": "serp_features",
                  "description": "The SERP features that appear in search results for a keyword."
                },
                "serp_features_count": {
                  "type": "integer",
                  "title": "serp_features_count",
                  "description": "The number of SERP features that appear in search results for a keyword."
                },
                "volume": {
                  "type": [ "integer", "null" ],
                  "title": "volume",
                  "description": "(10 units) An estimation of the number of searches for a keyword over the latest month."
                },
                "intents": {
                  "items": {
                    "type": "string",
                    "enum": [
                      "branded", "informational", "navigational",
                      "transactional", "local", "commercial"
                    ]
                  },
                  "type": "array",
                  "title": "intents",
                  "description": "The keyword's search intents."
                },
                "target": {
                  "properties": {
                    "position": {
                      "type": [ "integer", "null" ],
                      "description": "The best organic ranking position for the target."
                    },
                    "url": {
                      "type": [ "string", "null" ],
                      "format": "url",
                      "description": "The best-ranking organic URL for the target."
                    },
                    "position_kind": {
                      "type": [ "string", "null" ],
                      "enum": [
                        "paid_top", "paid_bottom", "paid_right",
                        "paid_sitelink", "organic", "sitelink", "snippet",
                        "image", "article", "knowledge_card",
                        "knowledge_panel", "local_pack", "local_teaser",
                        "news", "question", "review", "shopping", "tweet",
                        "spelling", "video", "discussion", "ai_overview",
                        "ai_overview_sitelink", "organic_shopping"
                      ],
                      "description": "The kind of the best organic position for the target."
                    },
                    "traffic": {
                      "type": [ "integer", "null" ],
                      "description": "The estimated organic traffic from the keyword for the target."
                    },
                    "paid_position": {
                      "type": [ "integer", "null" ],
                      "description": "The best paid ranking position for the target."
                    },
                    "paid_url": {
                      "type": [ "string", "null" ],
                      "format": "url",
                      "description": "The best-ranking paid URL for the target."
                    },
                    "paid_position_kind": {
                      "type": [ "string", "null" ],
                      "enum": [
                        "paid_top", "paid_bottom", "paid_right",
                        "paid_sitelink", "organic", "sitelink", "snippet",
                        "image", "article", "knowledge_card",
                        "knowledge_panel", "local_pack", "local_teaser",
                        "news", "question", "review", "shopping", "tweet",
                        "spelling", "video", "discussion", "ai_overview",
                        "ai_overview_sitelink", "organic_shopping"
                      ],
                      "description": "The kind of the best paid position for the target."
                    },
                    "paid_traffic": {
                      "type": [ "integer", "null" ],
                      "description": "The estimated paid traffic from the keyword for the target."
                    },
                    "paid_title": {
                      "type": [ "string", "null" ],
                      "description": "The ad title at the best paid position for the target."
                    },
                    "paid_display_url": {
                      "type": [ "string", "null" ],
                      "description": "The displayed ad URL at the best paid position for the target."
                    },
                    "paid_description": {
                      "type": [ "string", "null" ],
                      "description": "The ad description at the best paid position for the target."
                    },
                    "position_has_video": {
                      "type": [ "boolean", "null" ],
                      "description": "The top position has a video."
                    },
                    "position_has_thumbnail": {
                      "type": [ "boolean", "null" ],
                      "description": "The top position has a thumbnail."
                    }
                  },
                  "type": [ "object", "null" ],
                  "title": "target",
                  "description": "The target's organic and paid rankings. Null when all fields are null."
                },
                "competitor_1": {
                  "properties": {
                    "position": {
                      "type": [ "integer", "null" ],
                      "description": "The best organic ranking position for competitor 1."
                    },
                    "url": {
                      "type": [ "string", "null" ],
                      "format": "url",
                      "description": "The best-ranking organic URL for competitor 1."
                    },
                    "position_kind": {
                      "type": [ "string", "null" ],
                      "enum": [
                        "paid_top", "paid_bottom", "paid_right",
                        "paid_sitelink", "organic", "sitelink", "snippet",
                        "image", "article", "knowledge_card",
                        "knowledge_panel", "local_pack", "local_teaser",
                        "news", "question", "review", "shopping", "tweet",
                        "spelling", "video", "discussion", "ai_overview",
                        "ai_overview_sitelink", "organic_shopping"
                      ],
                      "description": "The kind of the best organic position for competitor 1."
                    },
                    "traffic": {
                      "type": [ "integer", "null" ],
                      "description": "The estimated organic traffic from the keyword for competitor 1."
                    },
                    "paid_position": {
                      "type": [ "integer", "null" ],
                      "description": "The best paid ranking position for competitor 1."
                    },
                    "paid_url": {
                      "type": [ "string", "null" ],
                      "format": "url",
                      "description": "The best-ranking paid URL for competitor 1."
                    },
                    "paid_position_kind": {
                      "type": [ "string", "null" ],
                      "enum": [
                        "paid_top", "paid_bottom", "paid_right",
                        "paid_sitelink", "organic", "sitelink", "snippet",
                        "image", "article", "knowledge_card",
                        "knowledge_panel", "local_pack", "local_teaser",
                        "news", "question", "review", "shopping", "tweet",
                        "spelling", "video", "discussion", "ai_overview",
                        "ai_overview_sitelink", "organic_shopping"
                      ],
                      "description": "The kind of the best paid position for competitor 1."
                    },
                    "paid_traffic": {
                      "type": [ "integer", "null" ],
                      "description": "The estimated paid traffic from the keyword for competitor 1."
                    },
                    "paid_title": {
                      "type": [ "string", "null" ],
                      "description": "The ad title at the best paid position for competitor 1."
                    },
                    "paid_display_url": {
                      "type": [ "string", "null" ],
                      "description": "The displayed ad URL at the best paid position for competitor 1."
                    },
                    "paid_description": {
                      "type": [ "string", "null" ],
                      "description": "The ad description at the best paid position for competitor 1."
                    }
                  },
                  "type": [ "object", "null" ],
                  "title": "competitor_1",
                  "description": "The organic and paid rankings for competitor 1. Null when all fields are null."
                },
                "competitor_2": {
                  "properties": {
                    "position": {
                      "type": [ "integer", "null" ],
                      "description": "The best organic ranking position for competitor 2."
                    },
                    "url": {
                      "type": [ "string", "null" ],
                      "format": "url",
                      "description": "The best-ranking organic URL for competitor 2."
                    },
                    "position_kind": {
                      "type": [ "string", "null" ],
                      "enum": [
                        "paid_top", "paid_bottom", "paid_right",
                        "paid_sitelink", "organic", "sitelink", "snippet",
                        "image", "article", "knowledge_card",
                        "knowledge_panel", "local_pack", "local_teaser",
                        "news", "question", "review", "shopping", "tweet",
                        "spelling", "video", "discussion", "ai_overview",
                        "ai_overview_sitelink", "organic_shopping"
                      ],
                      "description": "The kind of the best organic position for competitor 2."
                    },
                    "traffic": {
                      "type": [ "integer", "null" ],
                      "description": "The estimated organic traffic from the keyword for competitor 2."
                    },
                    "paid_position": {
                      "type": [ "integer", "null" ],
                      "description": "The best paid ranking position for competitor 2."
                    },
                    "paid_url": {
                      "type": [ "string", "null" ],
                      "format": "url",
                      "description": "The best-ranking paid URL for competitor 2."
                    },
                    "paid_position_kind": {
                      "type": [ "string", "null" ],
                      "enum": [
                        "paid_top", "paid_bottom", "paid_right",
                        "paid_sitelink", "organic", "sitelink", "snippet",
                        "image", "article", "knowledge_card",
                        "knowledge_panel", "local_pack", "local_teaser",
                        "news", "question", "review", "shopping", "tweet",
                        "spelling", "video", "discussion", "ai_overview",
                        "ai_overview_sitelink", "organic_shopping"
                      ],
                      "description": "The kind of the best paid position for competitor 2."
                    },
                    "paid_traffic": {
                      "type": [ "integer", "null" ],
                      "description": "The estimated paid traffic from the keyword for competitor 2."
                    },
                    "paid_title": {
                      "type": [ "string", "null" ],
                      "description": "The ad title at the best paid position for competitor 2."
                    },
                    "paid_display_url": {
                      "type": [ "string", "null" ],
                      "description": "The displayed ad URL at the best paid position for competitor 2."
                    },
                    "paid_description": {
                      "type": [ "string", "null" ],
                      "description": "The ad description at the best paid position for competitor 2."
                    }
                  },
                  "type": [ "object", "null" ],
                  "title": "competitor_2",
                  "description": "The organic and paid rankings for competitor 2. Null when all fields are null."
                },
                "competitor_3": {
                  "properties": {
                    "position": {
                      "type": [ "integer", "null" ],
                      "description": "The best organic ranking position for competitor 3."
                    },
                    "url": {
                      "type": [ "string", "null" ],
                      "format": "url",
                      "description": "The best-ranking organic URL for competitor 3."
                    },
                    "position_kind": {
                      "type": [ "string", "null" ],
                      "enum": [
                        "paid_top", "paid_bottom", "paid_right",
                        "paid_sitelink", "organic", "sitelink", "snippet",
                        "image", "article", "knowledge_card",
                        "knowledge_panel", "local_pack", "local_teaser",
                        "news", "question", "review", "shopping", "tweet",
                        "spelling", "video", "discussion", "ai_overview",
                        "ai_overview_sitelink", "organic_shopping"
                      ],
                      "description": "The kind of the best organic position for competitor 3."
                    },
                    "traffic": {
                      "type": [ "integer", "null" ],
                      "description": "The estimated organic traffic from the keyword for competitor 3."
                    },
                    "paid_position": {
                      "type": [ "integer", "null" ],
                      "description": "The best paid ranking position for competitor 3."
                    },
                    "paid_url": {
                      "type": [ "string", "null" ],
                      "format": "url",
                      "description": "The best-ranking paid URL for competitor 3."
                    },
                    "paid_position_kind": {
                      "type": [ "string", "null" ],
                      "enum": [
                        "paid_top", "paid_bottom", "paid_right",
                        "paid_sitelink", "organic", "sitelink", "snippet",
                        "image", "article", "knowledge_card",
                        "knowledge_panel", "local_pack", "local_teaser",
                        "news", "question", "review", "shopping", "tweet",
                        "spelling", "video", "discussion", "ai_overview",
                        "ai_overview_sitelink", "organic_shopping"
                      ],
                      "description": "The kind of the best paid position for competitor 3."
                    },
                    "paid_traffic": {
                      "type": [ "integer", "null" ],
                      "description": "The estimated paid traffic from the keyword for competitor 3."
                    },
                    "paid_title": {
                      "type": [ "string", "null" ],
                      "description": "The ad title at the best paid position for competitor 3."
                    },
                    "paid_display_url": {
                      "type": [ "string", "null" ],
                      "description": "The displayed ad URL at the best paid position for competitor 3."
                    },
                    "paid_description": {
                      "type": [ "string", "null" ],
                      "description": "The ad description at the best paid position for competitor 3."
                    }
                  },
                  "type": [ "object", "null" ],
                  "title": "competitor_3",
                  "description": "The organic and paid rankings for competitor 3. Null when all fields are null."
                },
                "competitor_4": {
                  "properties": {
                    "position": {
                      "type": [ "integer", "null" ],
                      "description": "The best organic ranking position for competitor 4."
                    },
                    "url": {
                      "type": [ "string", "null" ],
                      "format": "url",
                      "description": "The best-ranking organic URL for competitor 4."
                    },
                    "position_kind": {
                      "type": [ "string", "null" ],
                      "enum": [
                        "paid_top", "paid_bottom", "paid_right",
                        "paid_sitelink", "organic", "sitelink", "snippet",
                        "image", "article", "knowledge_card",
                        "knowledge_panel", "local_pack", "local_teaser",
                        "news", "question", "review", "shopping", "tweet",
                        "spelling", "video", "discussion", "ai_overview",
                        "ai_overview_sitelink", "organic_shopping"
                      ],
                      "description": "The kind of the best organic position for competitor 4."
                    },
                    "traffic": {
                      "type": [ "integer", "null" ],
                      "description": "The estimated organic traffic from the keyword for competitor 4."
                    },
                    "paid_position": {
                      "type": [ "integer", "null" ],
                      "description": "The best paid ranking position for competitor 4."
                    },
                    "paid_url": {
                      "type": [ "string", "null" ],
                      "format": "url",
                      "description": "The best-ranking paid URL for competitor 4."
                    },
                    "paid_position_kind": {
                      "type": [ "string", "null" ],
                      "enum": [
                        "paid_top", "paid_bottom", "paid_right",
                        "paid_sitelink", "organic", "sitelink", "snippet",
                        "image", "article", "knowledge_card",
[...]
